#ifndef __TASKS_H__
#define __TASKS_H__

#include <stdint.h>

/* Provide a limit to the number of tasks (in a way that employs a constant). */

enum { max_tasks = 10 };

/* Task management functions. */

void init_tasks();
void init_task();
void start_tasks();
void start_task(uint8_t, void (*)(), uint32_t[], uint8_t);
void start_task_now();
void switch_task();

#endif /* __TASKS_H__ */
